net.i2p.router.web.helpers

## Class GraphHelper

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.helpers.GraphHelper

-     public class GraphHelper
      extends FormHandler

  /graphs.jsp, including form, and /graph.jsp

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countGraphs()`
    `String` | `getAllMessages()` We have to do this here because processForm() isn't called unless the nonces are good
    `String` | `getForm()`
    `String` | `getImages()`
    `String` | `getRefreshMeta()` This must be output in the jsp since <meta> must be in the <head>
    `int` | `getRefreshValue()`
    `String` | `getSingleStat()` For single stat page; stat = "bw.combined" treated specially
    `protected void` | `processForm()` This was a HelperBase but now it's a FormHandler
    `void` | `setC(String str)`
    `void` | `setContextId(String contextId)` set the defaults after we have a context
    `void` | `setE(String str)`
    `void` | `setH(String str)`
    `void` | `setHeight(String str)`
    `void` | `setHideLegend(String foo)`
    `void` | `setPeriodCount(String str)`
    `void` | `setPersistent(String foo)`
    `void` | `setRefreshDelay(String str)`
    `void` | `setShowEvents(String b)`
    `void` | `setStat(String stat)` For single stat page
    `void` | `setW(String str)`
    `void` | `setWidth(String str)`

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphHelper

          public GraphHelper()

  - ### Method Detail

    - #### countGraphs

          public int countGraphs()

    - #### getAllMessages

          public String getAllMessages()

      We have to do this here because processForm() isn't called unless the nonces are good
      Overrides:
        `getAllMessages` in class `FormHandler`

    - #### getForm

          public String getForm()

    - #### getImages

          public String getImages()

    - #### getRefreshMeta

          public String getRefreshMeta()

      This must be output in the jsp since <meta> must be in the <head>

    - #### getRefreshValue

          public int getRefreshValue()

    - #### getSingleStat

          public String getSingleStat()

      For single stat page; stat = "bw.combined" treated specially

    - #### processForm

          protected void processForm()

      This was a HelperBase but now it's a FormHandler
      Specified by:
        `processForm` in class `FormHandler`

    - #### setC

          public void setC(String str)

    - #### setContextId

          public void setContextId(String contextId)

      set the defaults after we have a context
      Overrides:
        `setContextId` in class `FormHandler`
      Parameters:
        `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.

    - #### setE

          public void setE(String str)

    - #### setH

          public void setH(String str)

    - #### setHeight

          public void setHeight(String str)

    - #### setHideLegend

          public void setHideLegend(String foo)

    - #### setPeriodCount

          public void setPeriodCount(String str)

    - #### setPersistent

          public void setPersistent(String foo)

    - #### setRefreshDelay

          public void setRefreshDelay(String str)

    - #### setShowEvents

          public void setShowEvents(String b)

    - #### setStat

          public void setStat(String stat)

      For single stat page

    - #### setW

          public void setW(String str)

    - #### setWidth

          public void setWidth(String str)